package de.tu_dresden.lat.proofs.interfaces;

import de.tu_dresden.lat.proofs.data.ReasonerNotSupportedException;
import org.semanticweb.owlapi.model.OWLClass;
import org.semanticweb.owlapi.model.OWLOntology;
import org.semanticweb.owlapi.reasoner.OWLReasoner;

public interface IProofGenerator {
	void setOntology(OWLOntology ontology);

	void setReasoner(OWLReasoner reasoner) throws ReasonerNotSupportedException;

	IProof proveSubsumption(OWLClass lhs, OWLClass rhs);

	IProof proveEquivalence(OWLClass concept1, OWLClass concept2);
}
